View Issue Details

IDProjectCategoryView StatusLast Update
0002697SymmetricDSBugpublic2016-08-08 09:08
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.0Fixed in Version3.7.37 
Summary0002697: C Client sends empty subsequent batches when max batch size is exceeded
DescriptionC Client sends empty subsequent batches when max batch size is exceeded. For example, if the max batch size for a channel is 100 rows and you route 1000 rows, the first batch will contain the correct the first 100 rows but the subsequent batches will be empty. This only occurs when there are multiple batches for the same table.

Originally reported at: https://github.com/JumpMind/symmetric-ds/issues/24
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 6baacf50

2016-07-29 09:19:22

mmichalek

Details Diff
0002697: C Client sends empty subsequent batches when max batch size is
exceeded

0002697
mod - symmetric-client-clib/src/io/reader/ExtractDataReader.c Diff File

SymmetricDS: 3.7 d9d57e3a

2016-07-29 09:21:02

mmichalek

Details Diff
0002697: C Client sends empty subsequent batches when max batch size is
exceeded

0002697
mod - symmetric-client-clib/src/io/reader/ExtractDataReader.c Diff File

Issue History

Date Modified Username Field Change
2016-07-28 17:38 mmichalek New Issue
2016-07-28 17:38 mmichalek Status new => assigned
2016-07-28 17:38 mmichalek Assigned To => mmichalek
2016-07-29 09:27 mmichalek Status assigned => resolved
2016-07-29 09:27 mmichalek Resolution open => fixed
2016-07-29 09:27 mmichalek Fixed in Version => 3.7.37
2016-07-29 09:27 mmichalek Description Updated View Revisions
2016-07-29 10:00 mmichalek Changeset attached => SymmetricDS 3.7 d9d57e3a
2016-07-29 10:00 mmichalek Changeset attached => SymmetricDS 3.8 6baacf50
2016-08-08 09:08 elong Status resolved => closed